### Hierarchy

- Assertion

## Index

### Properties

- been
- called
- spy

### Methods

- nth

## Properties

### been

been: Been

- Defined in node_modules/@types/chai-spies/index.d.ts:50

- ####.been
  - Assert that something has been spied on. Negation passes through.
  - ```ts
  - expect(spy).to.have.been.called();
  - spy.should.have.been.called(); `Note that`been``` can be used as a chainable method.

### called

called: Called

- Defined in node_modules/@types/chai-spies/index.d.ts:39

####.called Assert that a spy has been called. Negation passes through.

    expect(spy).to.have.been.called();
    spy.should.have.been.called();

Note that `called` can be used as a chainable method.

### spy

spy: Assertion

- Defined in node_modules/@types/chai-spies/index.d.ts:28

####.spy Asserts that object is a spy.

    expect(spy).to.be.spy;
    spy.should.be.spy;

## Methods

### nth

- nth(index: number): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:61
  - ####.nth (function)
    - Assert that something has been spied on on a certain index. Negation passes through.
    - ```ts
    - expect(spy).on.nth(5).be.called.with('foobar');
    - spy.should.on.nth(5).be.called.with('foobar'); `Note that`nth``` can be used as a chainable method.

  #### Parameters

  - ##### index: number

  #### Returns Assertion

Generated using TypeDoc